<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "cpo_news"	                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: beta2 / June 2012 ==

*/

$feeds = array();
 
$feedsSetting = $activeModules['cpo_news']['rssFeeds'];
$feeds = explode("\n",$feedsSetting);
foreach($feeds AS $feed) {
	$feedParts = explode(';',$feed);
	$feedArray[] = "{title:'".trim($feedParts[0])."', url:'".trim($feedParts[1])."'}";
}
$feedString = implode(',',$feedArray);
?>

<!-- Start mod_cpo_news ****************************************************************************************** -->
<script src="http://www.google.com/jsapi/" type="text/javascript"></script>
<script src="http://www.google.com/uds/solutions/dynamicfeed/gfdynamicfeedcontrol.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="../mod_cpo_news/rss.css" />

  <script type="text/javascript">
    function showGadget() {
      var feeds = [ <?php echo $feedString; ?> ];
      new GFdynamicFeedControl(feeds, 'feedGadget',
                               {numResults : <?php echo $activeModules['cpo_news']['rssCount']; ?>, stacked : true,
                               title: "<?php echo $activeModules['cpo_news']['rssTitle']; ?>"});
    }
    google.load("feeds", "1");
    google.setOnLoadCallback(showGadget);
  </script>

<table>
<tr>
	<td width="49%">
	<div id="siteNews">
		<table class="colored">	
			<thead><tr>
				<th><span><?php printf($activeModules['cpo_news']['newsTitle'],htmlspecialchars($cpoSystem['project'])); ?></span></th>
			</tr></thead>
			<tbody>
<?php  

require(CPO_BASEDIR.'_include/var_category.php'); // just to load ALL rubric settings

// Die Parameter 
$rubrikid = $activeModules['cpo_news']['newsRubric']; // der ID der Rubrik 
$artikelanzahl = $activeModules['cpo_news']['newsCount']; // maximale Anzahl der auszugebenden Artikel 
$sortierung = $cpoRubrics[$rubrikid]['settings']['sorting']; // Art der Artikelsortierung 

$query = "SELECT rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer FROM " . CPO_NEWS . " WHERE " . ( $cpoSystem['release'] ? "artikel_archiv<2 AND freigabe=" . STATE_RELEASED : "artikel_archiv<1 AND freigabe!=" . STATE_BLOCKED ) . " AND pub_datum<='" . date('Y-m-d H:i:s', time()) . "' AND verfallsdatum>='".date('Y-m-d H:i:s', time())."' AND rubric_id='".$rubrikid."' ORDER BY ".$sortierung." LIMIT 0," . $artikelanzahl . " "; 
$db = new DB; 
$db->query($query); 

while($db->next_record()) { 

    $db_template      = $db->v('templates_id'); 
    $db_nr            = $db->v('nr'); 
    $db_idx           = $db->v('idx'); 
    $db_email         = $db->v('email'); 
    $db_autor         = $db->v('autor'); 
    $db_changer       = $db->v('changer'); 
    $db_pub_datum     = $db->v('pub_datum'); 
    $db_verfallsdatum = $db->v('verfallsdatum'); 
    $db_commentary    = $db->v('commentary'); 
    $db_titel         = $db->v('titel'); 
    $db_initial       = $db->v('initial'); 
    $db_freigabe      = $db->v('freigabe'); 
    $db_rubric_id     = $db->v('rubric_id'); 
	echo '<tr><td>';
    require(CPO_BASEDIR.'_include/select_template.php'); 
	echo '</td></tr>';
} 
?>
			</tbody>
		</table>
	</div>
	</td>
	<td width="2%">&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td width="49%"><div id="feedGadget">Loading...</div></td>
</tr>
</table>
<!-- End mod_cpo_news ****************************************************************************************** -->

